#
# spec file for package SpringLobby
#
# Copyright (c) 2007 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://trac.springlobby.info/newticket
#
# norootforbuild

%define fedora_version %(cat /etc/fedora-release | cut -f4 -d" ")
%define noredhat 1

# Varibles for building
%define app_name springlobby
%define app_version 0.0.1.10219

Name:           springlobby
Version:        %{app_version}
Release:        1%{?dist}
Url:            http://springlobby.info/
License:        GPLv2
Group:          Amusements/Games
Summary:        A cross-platform lobby for the RTS engine Spring
Source:         http://www.springlobby.info/tarballs/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{app_name}-%{app_version}-build
 
#define the minimum version number required for packages
%define req_wxGTK 2.6.3
 
#Requires: wxGTK >= %{req_wxGTK}
BuildRequires: gcc-c++, wxGTK-devel >= %{req_wxGTK}

%description
SpringLobby is a free lobby client for the Spring RTS project. It is
implemented in C++, using wxWidgets and is licensed under the GPL.

The client will be designed to match the following design goals which are
listed in no particular order:
Have a very easy to learn and use user interface.
Support all platforms supported by Spring engine.
Have all the popular features seen in other clients.
Have a clean, well designed, and well documented source code.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --docdir=/tmp/doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/tmp/doc
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog THANKS
%{_bindir}/springlobby
%{_bindir}/springsettings
%{_datadir}/applications/springlobby.desktop
%{_datadir}/pixmaps/springlobby.svg

%changelog
* Fri Mar 07 2008 - accAgon - accagon@googlemail.com
- added translation files

* Fri Jan 25 2008 - accAgon - accagon@googlemail.com
- added missing files (.desktop,.svg)

* Thu Jan 24 2008 - semi2 - semi@springlobby.info
- fixed typos and made it ready for automatic version bumping

* Thu Dec 20 2007 - accAgon - accagon@googlemail.com
- rev 728 has now springsettings included
- changed bin path from /usr/local/bin/ to /usr/games/
- changed lib path from /usr/local/$lib/ to /usr/$lib/

* Tue Dec 11 2007 - accAgon - accagon@googlemail.com
- Fixed abuild user warning

* Tue Aug 14 2007 - Brain_Damage - andreaw_cloud@tiscali.it
- removed rendundant versioning defininition in favour to the variable version

* Tue Aug 14 2007 - agon@online.de
- Fixed files errors

* Tue Aug 14 2007 - Brain_Damage - andreaw_cloud@tiscali.it
- changed http://springlobby.info/trac/newticket to http://trac.springlobby.info/newticket
- changed package name libwxgtk to wxGTK26 for mandriva
- fixed versioning scheme (missing dot)
- changed /usr prefix to /usr/local for unstable builds
- added build directory cleaning

* Mon Aug 13 2007 - agon@online.de
- Fixed Fedora doc error
- Homepage URL changed to http://trac.springlobby.info/

* Fri Aug 10 2007 - Brain_Damage - andreaw_cloud@tiscali.it
- Modified header to fit the standards
- Removed useless address variable
- Changed all addresses to the new DNS name
- Fixed the manual distro detection script

* Thu Aug 09 2007 - agon@online.de
- Modified for using upstream for getting source.

* Sun Aug 05 2007 - agon@online.de
- Modified for using tarballs from a server.

* Sat Aug 04 2007 - agon@online.de
- Modified for openSuse build service support

* Tue Jul 17 2007 - Brain_Damage - andreaw_cloud@tiscali.it
- Removed useless deps when building from tarball package
- Added script to auto-detect build envronment when not using SuSe's buildservice

* Sat Jul 14 2007 - Brain_Damage - andreaw_cloud@tiscali.it
- Initial Version
